---
title: Update
url: https://www.tines.com/docs/api/cases/notes/update/
updated: 2026-02-23T16:06:03+00:00
description: Update an existing case note.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Notes](https://www.tines.com/llm/docs/api/cases/notes.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/cases/notes/update/)*

## Description

Update an existing case note.

## Request

HTTP Method: **PUT**

| Parameter    | Description                                                                                         |
| ------------ | --------------------------------------------------------------------------------------------------- |
| title        | **Optional** The title of the case note.                                                            |
| content      | **Optional** The content of the case note.                                                          |
| color        | **Optional** The color of the note - options: white, gold, magenta, green, blue, red, mint, indigo. |
| position     | **Optional** The zero-indexed position of the note in the case.                                     |
| sensitive    | **Optional** Whether the note should be excluded from exports.                                      |
| hidden       | **Optional** Whether the note should be hidden (true or false).                                     |
| author_email | **Optional** The email address of the author of the note.                                           |

| Path Parameter | Description         |
| -------------- | ------------------- |
| case_id        | The ID of the case. |
| note_id        | The ID of the note. |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/notes/<<note_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "content": "This is an updated note.",
        "position": 0,
        "sensitive": false,
        "hidden": false,
        "author_email": "jane@tines.io"
      }'
```

## Response

A successful request will return a JSON object describing the updated case note.

### Field description

| Parameter  | Description                                                                            |
| ---------- | -------------------------------------------------------------------------------------- |
| case_id    | The ID of the case.                                                                    |
| id         | The ID of the note record attached to the case.                                        |
| title      | The title of the note.                                                                 |
| content    | The content of the note.                                                               |
| color      | The color of the note - options: white, gold, magenta, green, blue, red, mint, indigo. |
| sensitive  | Whether the note should be excluded from exports.                                      |
| hidden     | Whether the note is hidden (true or false).                                            |
| author     | Details of the author of the note.                                                     |
| created_at | ISO 8601 Timestamp representing creation date and time.                                |
| updated_at | ISO 8601 Timestamp representing last updated date and time.                            |

| Author parameter   | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "id": 7508,
  "title": "Note title",
  "content": "This is an updated note.",
  "color": "white",
  "sensitive": false,
  "hidden": false,
  "created_at": "2025-01-07T11:42:58Z",
  "author": {
    "user_id": "1",
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar",
    "is_service_account": false
  }
}
```

<!-- cspell:enable -->
